package com.doc.task;

import com.doc.biz.domain.DocSpace;
import com.doc.biz.service.IDocSpaceService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("spaceCapTask")
public class SpaceCapTask {
    @Resource
    private IDocSpaceService spaceService;

    public void exec() {
        List<DocSpace> list = spaceService.selectDocSpaceList(new DocSpace());
        list.forEach(space -> {
            spaceService.updateUsedCap(space.getSpaceId());
        });
    }
}
